Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232287 - httpd Does Not Mock Build - Missing BuildRequires
Summary: httpd Does Not Mock Build - Missing BuildRequires
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 18:42 UTC by Jonathan Steffan
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.2.2-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-25 14:31:35 UTC


Attachments (Terms of Use)

Description Jonathan Steffan 2007-03-14 18:42:40 UTC
Description of problem:
Missing BuildRequires: autoconf

Version-Release number of selected component (if applicable):
httpd-2.2.2-1.2.i386

How reproducible:
Always

Steps to Reproduce:
1.mock build the src rpm
  
Actual results:
Failed Build

Expected results:
Build

Additional info:
When building on FC4, there is also another missing BuildRequires, not sure if
this should be added for the FC5 version as it seems the dep is found somehow.

BuildRequires: sqlite-devel

Comment 1 Joe Orton 2007-05-25 14:31:35 UTC
The autoconf BR was added for F7 - thanks for the report.  I can't see why
sqlite-devel would be needed - please file a separate bug with a build failure
if this still occurs.

Comment 2 Jonathan Steffan 2007-05-25 17:49:49 UTC
The sqlite-devel BR was on FC4 only.


Note You need to log in before you can comment on or make changes to this bug.